# boost::numeric::ublas::scalar_multiplies< T1, T2 > Struct Template Reference

Inherits boost::numeric::ublas::scalar_binary_functor< T1, T2 >.

List of all members.

## Public Types
typedef scalar_binary_functor < T1, T2 >::argument1_type | argument1_type
typedef scalar_binary_functor < T1, T2 >::argument2_type | argument2_type
typedef scalar_binary_functor < T1, T2 >::result_type | result_type
## Static Public Member Functions
static BOOST_UBLAS_INLINE result_type | apply (argument1_type t1, argument2_type t2)

### template<class T1, class T2>
struct boost::numeric::ublas::scalar_multiplies< T1, T2 >